add missing scripts
authorMathieu Desnoyers <mathieu.desnoyers@efficios.com>
Mon, 18 Nov 2013 12:12:24 +0000 (07:12 -0500)
committerMathieu Desnoyers <mathieu.desnoyers@efficios.com>
Mon, 18 Nov 2013 12:12:24 +0000 (07:12 -0500)
Signed-off-by: Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
tests/1.8/regression/stream/fail/run.sh [new file with mode: 0755]
tests/1.8/regression/stream/fail/test.sh [new file with mode: 0755]
tests/1.8/regression/stream/pass/run.sh [new file with mode: 0755]
tests/1.8/regression/stream/pass/test.sh [new file with mode: 0755]

diff --git a/tests/1.8/regression/stream/fail/run.sh b/tests/1.8/regression/stream/fail/run.sh
new file mode 100755 (executable)
index 0000000..f23416c
--- /dev/null
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+. ../../../../../utils/run.sh
diff --git a/tests/1.8/regression/stream/fail/test.sh b/tests/1.8/regression/stream/fail/test.sh
new file mode 100755 (executable)
index 0000000..382c756
--- /dev/null
@@ -0,0 +1,36 @@
+#!/bin/bash
+#
+# Copyright (C) - 2013 Christian Babeux <christian.babeux@efficios.com>
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License, version 2 only, as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
+# more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 51
+# Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+CURDIR=$(dirname $0)
+UTILS_DIR=$CURDIR/../../../../../utils/
+
+source $UTILS_DIR/tap/tap.sh
+
+NUM_TESTS=1
+
+plan_tests $NUM_TESTS
+
+if [ "x${CTF_READER_BIN}" == "x" ]; then
+       echo "Bail out! No CTF_READER_BIN specified"
+       exit 1
+fi
+
+$CTF_READER_BIN $CTF_READER_OPTS $1 >/dev/null 2>&1
+
+result=$?
+
+is $result 1 $1
diff --git a/tests/1.8/regression/stream/pass/run.sh b/tests/1.8/regression/stream/pass/run.sh
new file mode 100755 (executable)
index 0000000..f23416c
--- /dev/null
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+. ../../../../../utils/run.sh
diff --git a/tests/1.8/regression/stream/pass/test.sh b/tests/1.8/regression/stream/pass/test.sh
new file mode 100755 (executable)
index 0000000..99533c1
--- /dev/null
@@ -0,0 +1,36 @@
+#!/bin/bash
+#
+# Copyright (C) - 2013 Christian Babeux <christian.babeux@efficios.com>
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License, version 2 only, as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
+# more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 51
+# Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+CURDIR=$(dirname $0)
+UTILS_DIR=$CURDIR/../../../../../utils/
+
+source $UTILS_DIR/tap/tap.sh
+
+NUM_TESTS=1
+
+plan_tests $NUM_TESTS
+
+if [ "x${CTF_READER_BIN}" == "x" ]; then
+       echo "Bail out! No CTF_READER_BIN specified"
+       exit 1
+fi
+
+$CTF_READER_BIN $CTF_READER_OPTS $1 >/dev/null 2>&1
+
+result=$?
+
+is $result 0 $1
This page took 0.023805 seconds and 4 git commands to generate.